#include <iostream>
#include <vector>
#include "seqinfile.h"

using namespace std;

bool sikeres(const vector<int> &pontok) {
    bool l = true;
    for (int i = 0; l && i < pontok.size(); ++i) {
        l = pontok[i] >= 1;
    }
    return l;
}

int pontszam(const vector<int> &pontok) {
    int s = 0;
    for (auto pont: pontok) {
        s += pont;
    }
    return s;
}

int main()
{
    SeqInFile t("input.txt");
    cout << "A sikeres vizsgat tett kutyak:" << endl;
    t.first();
    int maximum = pontszam(t.current().pontok);
    Kutya elem = t.current();
    if (sikeres(t.current().pontok)) {
        cout << t.current().nev << " " << t.current().chipszam << endl;
    }
    t.next();
    for (; !t.end(); t.next()) {
        if (sikeres(t.current().pontok)) {
            cout << t.current().nev << " " << t.current().chipszam << endl;
        }
        int seged = pontszam(t.current().pontok);
        if (maximum < seged) {
            maximum = seged;
            elem = t.current();
        }
    }
    cout << "A legtobb pontot elert kutya neve: " << elem.nev;
    return 0;
}
