#include "seqinfile.h"
#include <cstdlib>
#include <iostream>

using namespace std;

SeqInFile::SeqInFile(const string &fname)
{
    x.open(fname.c_str());
    if(x.fail()){
        cout << "Fjlnyitsi hiba!\n";
        exit(1);
    }
}

bool isNonNegativeNumber(const string &str) {
    bool l = true;
    for (int i = 0; l && i < str.size(); ++i) {
        l = isdigit(str[i]);
    }
    return l;
}

void SeqInFile::read()
{
    string word;
    x >> word;
    if (!x.fail()) {
        st = norm;
        e.nev = "";
        e.pontok.clear();
        while (!isNonNegativeNumber(word)) {
            if (e.nev != "") {
                e.nev += " ";
            }
            e.nev += word;
            x >> word;
        }
        e.chipszam = atoi(word.c_str());
        int szorzo;
        int eredmeny;
        for (int i = 0; i < 5; ++i) {
            x >> szorzo;
            x >> eredmeny;
            e.pontok.push_back(szorzo*eredmeny);
        }
    } else {
        st = abnorm;
    }
}


